---
# role file for fastr & fastr-tools
# This role playbook is designed to install fastr
#
# Central installation - build easybuild 
# Local installation - pip easybuild


  - name: Create required directories
    file: dest={{item}} state=directory mode=0755
    with_items:
    - "{{ fastr_prefix }}"
    
  - name: Install fastr from pypi
    pip: 
      executable: "{{ virtualenv_prefix }}/bin/pip"     
      name: fastr 
      
  - stat:
      path: "{{ fastr_prefix}}/fastr-tools"
    register: fastr_tools_stat
  
  - block:
    - name: Get fastr tools 
      get_url:
        url: https://bitbucket.org/bigr_erasmusmc/fastr-tools/get/tip.tar.gz
        dest: "{{ fastr_prefix}}/tip.tar.gz"

    - name: Unpack fastr tools 
      # (unarchive with extra-args strip-components is buggy in Ansible 2.2.0 using shell)
      shell: |
        mkdir {{ fastr_prefix}}/fastr-tools
        tar -xvf {{ fastr_prefix}}/tip.tar.gz -C {{ fastr_prefix}}/fastr-tools --strip-components=1
    when: not fastr_tools_stat.stat.exists
    